
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>centos 7.0上RabbitMQ 3.5.6版本多实例启动操作讲解 / 憋错料</title>

    <meta name="description" content="centos 7.0上RabbitMQ 3.5.6版本多实例启动操作讲解 在很多场景中,我们可能需要单机上启动多个rabbitmq实例,启动多个实例其实就是启用不同的端口.rabbitmq的默认端口为5672,15672,25672,以下经过实际操作绝对原创,亲测有效,耗费了老半天时间,怎么没有白费啊. 版本:RabbitMQ 3.5.6. 在单机上实现rabbitmq多实例操作,建议启动其他端口的实例,最后再启动5672的实例: 需要修改的配置文件为: #vim /etc/rabbitmq/rabbitmq.config [ {rabbit, [ {tcp_list">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">centos 7.0上RabbitMQ 3.5.6版本多实例启动操作讲解</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>在很多场景中，我们可能需要单机上启动多个rabbitmq实例，启动多个实例其实就是启用不同的端口。rabbitmq的默认端口为5672,15672,25672，以下经过实际操作绝对原创，亲测有效，耗费了老半天时间，怎么没有白费啊。</p>
<p>版本：RabbitMQ 3.5.6.</p>
<p>在单机上实现rabbitmq多实例操作，建议启动其他端口的实例，最后再启动5672的实例：</p>
<p>需要修改的配置文件为：</p>
<p>#vim /etc/rabbitmq/rabbitmq.config</p>
<p>[</p>
<p>{rabbit,</p>
<p>[</p>
<p>{tcp_listeners, [5673]},</p>
<p>{tcp_listeners,[{"127.0.0.1", 5673},{"::1",&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5673}]}</p>
<p>]</p>
<p>},</p>
<p>{rabbitmq_management,</p>
<p>[</p>
<p>{listener, [{port,&nbsp;&nbsp;&nbsp;&nbsp; 15673},</p>
<p>{ip,&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; "0.0.0.0"},</p>
<p>{ssl,&nbsp;&nbsp;&nbsp;&nbsp; false}</p>
<p>]}</p>
<p>]}</p>
<p>].</p>
<p>修改完成后，，如果要开启多个实例，参照以下修改配置文件的端口，然后用下面的命令执行即可（注意应同时修改RABBITMQ_NODE_PORT的端口号）：</p>
<p>RABBITMQ_NODE_PORT=5673RABBITMQ_NODENAME=rab /usr/rabbitmq/sbin/rabbitmq-server –detached &amp;</p>
<p>以上步骤是开启了5673端口的一个rabbitmq实例，如果再开启一个实例，那么再修改配置文件，将以上标红的5673改为其他端口号，然后启动即可，如果需要启动默认的端口号，则修改为以下：</p>
<p>#vim /etc/rabbitmq/rabbitmq.config</p>
<p>[</p>
<p>{rabbit,</p>
<p>[</p>
<p>{tcp_listeners, [5672]}</p>
<p>%%{tcp_listeners, [5672]},</p>
<p>%%{tcp_listeners,[{"127.0.0.1", 5672},{"::1",&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5672}]}</p>
<p>%%{tcp_listeners,[{"127.0.0.1", 5672},{"::1",&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 5672}]}</p>
<p>]</p>
<p>}</p>
<p>%%{rabbitmq_management,</p>
<p>%%[</p>
<p>%%{listener, [{port,&nbsp;&nbsp;&nbsp;&nbsp; 15673},</p>
<p>%%&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; {ip,&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; "0.0.0.0"},</p>
<p>%%&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; {ssl,&nbsp;&nbsp;&nbsp;&nbsp;false}</p>
<p>%%]}</p>
<p>%%]}</p>
<p>].</p>
<p>保存退出，</p>
<p>执行命令：/usr/rabbitmq/sbin/rabbitmq-serverstart &amp;即可启动默认端口为5672的服务。</p>
<p>结果如下：</p>
<p>启动5673端口：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODkvMzYvd0tpb20xZ01SRVNRTy03Q0FBQlBBV21SYzk4ODQ4LmpwZy13aF81MDB4MC13bV8zLXdtcF80LXNfMzA4OTc0MDQwMi5qcGc=.jpg" /></p>
<p>启动5672端口：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDEvODkvMzMvd0tpb0wxZ01SRVRqVFdEZkFBQkQyN3k4dy1BNzAwLmpwZy13aF81MDB4MC13bV8zLXdtcF80LXNfMzIyMjAyMDEwNy5qcGc=.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODkvMzYvd0tpb20xZ01SRVNBNC1zdEFBRmZqRHdrVjdJNjY2LmpwZy13aF81MDB4MC13bV8zLXdtcF80LXNfMzQ5NDU1NDA0NS5qcGc=.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczEuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODkvMzMvd0tpb0wxZ01SRVNSNDhObkFBQkxTTURqazAwMTYzLmpwZy13aF81MDB4MC13bV8zLXdtcF80LXNfMjA3NjY4MjU4My5qcGc=.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-09 07:14:28 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e9%85%8d%e7%bd%ae%e6%96%87%e4%bb%b6/" title="配置文件">配置文件</a>, <a href="https://www.biecuoliao.com/tag/rabbitmq/" title="rabbitmq">rabbitmq</a>, <a href="https://www.biecuoliao.com/tag/%e5%a4%9a%e5%ae%9e%e4%be%8b/" title="多实例">多实例</a>, <a href="https://www.biecuoliao.com/tag/%e5%8d%95%e6%9c%ba/" title="单机">单机</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>centos 7.0上RabbitMQ 3.5.6版本多实例启动操作讲解的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/M6DkLy3.html" rel="bookmark">CentOS 64-bit下安装JDK和Tomcat并设置Tomcat开机启动操作步骤</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				准备文件如下: 1.CentOS-6.4-x86_64-bin-DVD1.iso 2.jdk-7u67-linux-x64.rpm 3.apache-tomcat-7.0.55.tar.gz 安装步骤如下: 一.安装JDK [[email protected] /]# java -versionbash: java: command not found [[email protected] /]# rpm -ivh /soft/jdk-7u67-linux-x64.rpmPreparing...			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgqpWO3.html" rel="bookmark">在CentOS 6&period;0上编译OpenWRT的helloworld的报找不到libc&period;so&period;6的处理方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.先在VMware安装CentOS 6.0,以minimal desktop的方式安装 2.参照http://wiki.wrtnode.com/index.php?title=Compiling_WRTnode_static_SDK/zh-cn编译固件和SDK 选择Fedora 17的方式安装所需的软件包 yum install -y subversion binutils bzip2 gcc gcc-c++ gawk gettext flex libz-dev flex ncurses-de			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGzR2Y4.html" rel="bookmark">在 CentOS 7&period;0 上安装配置 Ceph 存储</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				来自: https://linux.cn/article-6624-1.html Ceph 是一个将数据存储在单一分布式计算机集群上的开源软件平台.当你计划构建一个云时,你首先需要决定如何实现你的存储.开源的 Ceph 是红帽原生技术之一,它基于称为 RADOS 的对象存储系统,用一组网关 API 表示块.文件.和对象模式中的数据.由于它自身开源的特性,这种便携存储平台能在公有云和私有云上安装和使用.Ceph 集群的拓扑结构是按照备份和信息分布设计的,这种内在设计能提供数据完整性.它的设计目标就			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35b86R4.html" rel="bookmark">在centos 7&period;0上利用yum一键安装mono</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先我们需要先配置一下yum源中mono的引用说明: 第一步: vi /etc/yum.repos.d/mono.repo 第二步:在刚打开的文件中编辑如下内容 [mono]name=monobaseurl=http://download.mono-project.com/repo/centos/enabled=1gpgcheck=0第三步:保存退出 yum源配置好了,下面我们一键安装 yum -y install mono mono-devel mono-complete referencea			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MLraOQ3.html" rel="bookmark">怎样在 CentOS 7&period;0 上安装和配置 VNC 服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是一个关于怎样在你的 CentOS 7 上安装配置 VNC 服务的教程.当然这个教程也适合 RHEL 7 .在这个教程里,我们将学习什么是 VNC 以及怎样在 CentOS 7 上安装配置 VNC 服务器. 我们都知道,作为一个系统管理员,大多数时间是通过网络管理服务器的.在管理服务器的过程中很少会用到图形界面,多数情况下我们只是用 SSH 来完成我们的管理任务.在这篇文章里,我们将配置 VNC 来提供一个连接我们 CentOS 7 服务器的方法.VNC 允许我们开启一个远程图形会话来连接我们			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eoBYv4.html" rel="bookmark">CentOS 7&period;0 上安装和配置 VNC 服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				作为一个系统管理员,大多数时间是通过网络管理服务器的.在管理服务器的过程中很少会用到图形界面,多数情况下我们只是用 SSH 来完成我们的管理任务.在这篇文章里,我们将配置 VNC 来提供一个连接我们 CentOS 7 服务器的方法.VNC 允许我们开启一个远程图形会话来连接我们的服务器,这样我们就可以通过网络远程访问服务器的图形界面了. VNC 服务器是一个自由开源软件,它可以让用户可以远程访问服务器的桌面环境.另外连接 VNC 服务器需要使用 VNC viewer 这个客户端. 一些 VNC			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4AmwvK4.html" rel="bookmark">在 CentOS7&period;0 上搭建 Chroot 的 Bind DNS 服务器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				BIND(Berkeley internet Name Daemon)也叫做NAMED,是现今互联网上使用最为广泛的DNS 服务器程序.这篇文章将要讲述如何在 chroot 监牢中运行 BIND,这样它就无法访问文件系统中除&quot;监牢&quot;以外的其它部分. 例如,在这篇文章中,我会将BIND的运行根目录改为 /var/named/chroot/.当然,对于BIND来说,这个目录就是 /(根目录). &quot;jail&quot;(监牢,下同)是一个软件机制,其功能是使得某个程序无法访问规定区			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xayDL3.html" rel="bookmark">【转】CentOS 7&period;0 安装Redis 3&period;2&period;1详细过程和使用常见问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://www.linuxidc.com/Linux/2016-09/135071.htm 环境:CentOS 7.0 Redis 3.2.1 Redis的安装与启动 这里我把Redis放在/home/linuxidc/software/下,所以在该目录下执行下列命令: $ wget http://download.redis.io/releases/redis-3.2.1.tar.gz $ tar xzf redis-3.2.1.tar.gz $ cd redis-3.2.1 $ mak			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Nd9660.html" rel="bookmark">使用Docker 方式在Centos 7&period;0 安装配置Sentry</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.简介 sentry是一个强大的分布式报错信息收集平台,图形化程度很高,可以帮助我们直观的发现当前部署的系统存在哪些问题. 二.安装方式介绍 官网链接:https://docs.sentry.io/ 官方提供了两种安装方式:Docker  和  python 注:我这里选择使用Docker 的方式来进行安装配置sentry,原因是官网说了python这种方式已经被Docker安装方式代替了,原话如下: This method of installation is deprecated in f			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n4ALdy3.html" rel="bookmark" class="title">php函数</a>
					<div>
						一.函数定义 a) 定义: 就是一个被命名的.独立的代码段.他可以执行特定任务,并且返回给调用他的程序一个返回值 b) 函数是被命名的:每个函数都是有唯一的名称,在程序的其他部分使用该名称可以执行函数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/9MEPOg4.html" rel="bookmark" class="title">jvm学习二：类加载器</a>
					<div>
						前一节详细的聊了一下类的加载过程,本节聊一聊类的加载工具,类加载器  ---  ClassLoader 本想自己写的,查资料的时候查到一篇大神的文章,写的十分详细 大家直接过去看吧http://blo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6NDqJM.html" rel="bookmark" class="title">linux下解压被分割的zip文件</a>
					<div>
						形如被分割的一系列文件:linux.z01, linux.z02, linux.z03, linux.zip 直接右键解压是不行的. 首先合并文件:cat linux.* &gt; linux_all ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41gKKY0.html" rel="bookmark" class="title">QTreeView处理大量数据（使用1000万条数据，每次都只是部分刷新）</a>
					<div>
						如何使QTreeView快速显示1000万条数据,并且内存占用量少呢?这个问题困扰我很久,在网上找了好多相关资料,都没有找到合理的解决方案,今天在这里把我的解决方案提供给朋友们,供大家相互学习. 我开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0j7pPA3.html" rel="bookmark" class="title">二叉树与双向链表问题</a>
					<div>
						做完这道题,我深刻认识到通过边画图边写代码揣摩分析才能真正弄懂这道题,而且如果不是独立思考AC看了题解恐怕就很难弄懂这道题. 这里整理一下题解:本题思路有两种:递归和非递归 Java版AC代码: 数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBRk9YM.html" rel="bookmark" class="title">《软件需求最佳实践》阅读笔记一</a>
					<div>
						这本书主要从软件需求实践中出现的主要问题和困难入手,指出了改造的主要方法,然后逐一说明了需求定义.需求捕获.需求分析与建模.编写规约.需求验证等需求开发活动的任务.要点和具体手段.还对包括需求基线.变 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rkAYX4.html" rel="bookmark" class="title">GAME PROGRAMM</a>
					<div>
						SetConsoleTextAttribute consolehwnd = GetStdHandle(STD_OUTPUT_HANDLE); GetStdHandle(nStdHandle)//是返回 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nkoeP3.html" rel="bookmark" class="title">c&sol;c&plus;&plus;常见面试题</a>
					<div>
						1. C中static有什么作用 (1)隐藏. 当我们同时编译多个文件时,所有未加static前缀的全局变量和函数都具有全局可见性,故使用static在不同的文件中定义同名函数和同名变量,而不必担心命 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aYe1k0.html" rel="bookmark" class="title">Groovy轻松入门&mdash;&mdash;搭建Groovy开发环境</a>
					<div>
						多日来,我发表了多篇关于Groovy的文章,想必大家对Groovy或多或少已经有所了解,今后我会抽空写些Groovy入门性质的文章,供大家参考.由于时间仓促,水平有限,不足之处请各位朋友多包涵提点,谢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e7Bj54.html" rel="bookmark" class="title">&lbrack;Activator-HelloAkka&rsqb; Define our Actors</a>
					<div>
						The Actor is the unit of execution in Akka. Actors are object-oriented in the sense that they encaps ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0lknnLM.html" rel="bookmark" class="title">【转】华为PCB布线规范</a>
					<div>
						设计过程 A. 创建网络表 1. 网络表是原理图与PCB的接口文件,PCB设计人员应根据所用的原理图和PCB设计工具的特性,选用正确的网络表格式,创建符合要求的网络表. 2. 创建网络表的过程中,应根 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBbk8YM.html" rel="bookmark" class="title">单词计数</a>
					<div>
						单词计算程序,为啥遍历输出的时候会出现段错误 1 #include&lt;stdio.h&gt; 2 #include&lt;ctype.h&gt; 3 #include&lt;string.h&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qGLYPM.html" rel="bookmark" class="title">sql server 2008数据库</a>
					<div>
						midifan.com/moduleuser-index-414596.htmmidifan.com/moduleuser-index-414612.htmmidifan.com/moduleuser ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MynWOY0.html" rel="bookmark" class="title">&lbrack;leedcode 66&rsqb; Plus One</a>
					<div>
						Given a non-negative number represented as an array of digits, plus one to the number. The digits ar ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3OXk8P4.html" rel="bookmark" class="title">Xcode 系列百度网盘资源记录</a>
					<div>
						苹果服务器的速度太慢了,记录一下各个版本的Xcode 网盘下载地址,备用. Xcode 6.0.1   http://pan.baidu.com/s/1i3tJHnn Xcode 6.1      h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Ax5bK3.html" rel="bookmark" class="title">Active Record&colon; 資料庫遷移&lpar;Migration&rpar; （转）</a>
					<div>
						Active Record: 資料庫遷移(Migration) Programming today is a race between software engineers striving to b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41eJlP4.html" rel="bookmark" class="title">QT5 坐标系统</a>
					<div>
						这次基本上没出大的错误..根据按键向下的功能实现了一下向上的功能,还有旋转rotate()功能 myitem.h #ifndef MYITEM_H #define MYITEM_H #include  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41ePnJ4.html" rel="bookmark" class="title">最全的手机号、邮箱java正则表达式</a>
					<div>
						//判断手机格式是否正确public static boolean isMobileNO(String mobiles) { Pattern p = Pattern.compile(&quot;^(1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0a6nmg3.html" rel="bookmark" class="title">jdk 数组位移运算</a>
					<div>
						1.采用先shift=31-Integer.numberOfLeadingZeros(scale);取int前面的补零个数31再减去拿到占得内存位长度 2.i偏移shift(其实等于I*位数) 加上b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzDAZ83.html" rel="bookmark" class="title">IDEA拷贝git上的最新项目资源</a>
					<div>
						File-&gt;new -&gt;project version control-&gt;git-&gt; 进入项目git对应的网址,选择第一个backstop,复制url: 输入git用户名和密码 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
